*Tables
*********************************************************************************
*Table1 - sumstat1
sum age_r if new2_r==1, detail
sum bio_r if new2_r==1, detail
sum employment_r if new2_r==1, detail
sum nprev_r if new2_r==1, detail
sum nafter_r if new2_r==1, detail
sum picture_r if new2_r==1, detail
sum standard_survey_r if new2_r==1, detail
tab gender_r if new2_r==1 
tab education_level_r if new2_r==1
*********************************************************************************

*Table2 - sumstat2
sum g_pref_r if roomtype==1 , detail
sum match if roomtype==1 , detail
sum g_sendmsg_r if match==1 & initiator!=idr & roomtype==1 , detail
sum r_sendmsg_g if match==1 & initiator==idg & roomtype==1 , detail
*********************************************************************************

*Table3 - sumstat3
sum match_level_r if match==1 & roomtype==1, detail
sum nprev_r if idr_room_level==1 & roomtype==1, detail
sum star_r if idr_room_level==1 & roomtype==1, detail
*********************************************************************************

*Table4
sort idr roomnum idg
xtset idr panel_time_r

*OLS (everyone)
ologit g_pref_r star1_r star3_r, vce(cluster idr)
estimates store M1

*OLS (Controls)
ologit g_pref_r star1_r star3_r age_r education_level_r2 education_level_r3 standard_survey_r picture_r employment_r bio_r, vce(cluster idr)
estimates store M2

*M3
*FE - OL
local y g_pref_r
local x star1_r star3_r
local id idr
marksample touse
markout `touse' `y' `x' `id'
qui sum `y' if `touse'
local ymax = r(max)
tempvar esample
gen `esample' = 0
tempname BMAT
forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100, group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}
suest `suest', vce(cluster idr)
tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')
matrix colnames `B' = `x'
matrix coleq `B' = :
matrix colnames `COV' = `x'
matrix coleq `COV' = :
matrix rownames `COV' = `x'
matrix roweq `COV' = :
qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display
tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1

******************************************************************************************************************************************************
*Table5
*First msg (initiator!=idr)
*logit (first) with controls
logit g_sendmsg_r star1_r star3_r gender_r age_r education_level_r2 education_level_r3 standard_survey_r picture_r employment_r bio_r star1_g star3_g standard_survey_g age_g education_level_g2 education_level_g3 picture_g employment_g bio_g if match==1 & initiator!=idr, vce(cluster idr)
estimates store M4
		   
*Fixed effects
xtlogit g_sendmsg_r star1_r star3_r star1_g star3_g standard_survey_g age_g education_level_g2 education_level_g3 picture_g employment_g bio_g if match==1 & initiator!=idr & min_star_r!= max_star_r, fe
estimates store M5

*reply msg (initiator==idr)
*logit (reply) with controls
logit g_sendmsg_r star1_r star3_r gender_r age_r education_level_r2 education_level_r3 standard_survey_r picture_r employment_r bio_r star1_g star3_g standard_survey_g age_g education_level_g2 education_level_g3 picture_g employment_g bio_g if match==1 & initiator==idr, vce(cluster idr)
estimates store M6

*Fixed effects
xtlogit g_sendmsg_r star1_r star3_r star1_g star3_g standard_survey_g age_g education_level_g2 education_level_g3 picture_g employment_g bio_g if match==1 & initiator==idr & min_star_r!= max_star_r, fe
estimates store M7

esttab M4 M5 M6 M7 using most_basic.tex, b(5) replace label se(5) compress star(* 0.1 ** 0.05 *** 0.01) stats(N r2,  labels("Observations" "R-Squared")) 

*Appendix
******************************************************************************************************************************************************

*Table A1
*OLS (everyone)
reg g_pref_r star1_r star3_r, vce(cluster idr)
estimates store A1

*OLS (Controls)
reg g_pref_r star1_r star3_r age_r education_level_r2 education_level_r3 standard_survey_r picture_r employment_r bio_r, vce(cluster idr)
estimates store A2

*Table fe-linear.tex
*FE-linear
xtreg g_pref_r star1_r star3_r if max_star_r!= min_star_r & n_r<100, fe vce(cluster idr)
estimates store A3
esttab A1 A2 A3 using most_basic.tex, b(5) replace label se(5) compress star(* 0.1 ** 0.05 *** 0.01) stats(N r2,  labels("Observations" "R-Squared")) 
******************************************************************************************************************************************************************

*Table A2
*OLS (changing stars)
ologit g_pref_r star1_r star3_r if max_star_r!= min_star_r & n_r<100, vce(cluster idr)
estimates store A4
esttab A4 using most_basic.tex, b(5) replace label se(5) compress star(* 0.1 ** 0.05 *** 0.01) stats(N r2,  labels("Observations" "R-Squared")) 
******************************************************************************************************************************************************************

*Table A3
qui sum age_r if new2_r==1 & total_star_change==0 & nprev_r==0 , detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)

qui sum age_r if new2_r==1 & total_star_change>0 & nprev_r==0 , detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)

ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.4487
********************************************************************************
qui sum bio_r if new2_r==1 & total_star_change==0 & nprev_r==0, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)
qui sum bio_r if new2_r==1 & total_star_change>0 & nprev_r==0, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)


ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.3684
********************************************************************************
qui sum education_level_r if new2_r==1 & total_star_change==0 & nprev_r==0, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)

qui sum education_level_r if new2_r==1 & total_star_change>0 & nprev_r==0, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)

ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.0828 
********************************************************************************
qui sum employment_r if new2_r==1 & total_star_change==0 & nprev_r==0 & employment_r!=0, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)
qui sum employment_r if new2_r==1 & total_star_change>0 & nprev_r==0 & employment_r!=0, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)


ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.7580 
********************************************************************************
qui sum picture_r if new2_r==1 & total_star_change==0 & nprev_r==0, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)
qui sum picture_r if new2_r==1 & total_star_change>0 & nprev_r==0, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)


ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.6659 
********************************************************************************
qui sum standard_survey_r if new2_r==1 & total_star_change==0 & nprev_r==0 & gender_r==1, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)
qui sum standard_survey_r if new2_r==1 & total_star_change>0 & nprev_r==0 & gender_r==1, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)


ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.296
********************************************************************************
qui sum standard_survey_r if new2_r==1 & total_star_change==0 & nprev_r==0 & gender_r==0, detail
local N1 = r(N)
local av1 = r(mean)
local sd1 = r(sd)
qui sum standard_survey_r if new2_r==1 & total_star_change>0 & nprev_r==0 & gender_r==0, detail
local N2 = r(N)
local av2 = r(mean)
local sd2 = r(sd)


ttesti `N1' `av1' `sd1' `N2' `av2' `sd2', unequal
*0.077
******************************************************************************************************************************************************************
*Table A4

*For model m7:
*Fixed effects
xtlogit g_sendmsg_r star1_r star3_r star1_g star3_g standard_survey_g age_g education_level_g2 education_level_g3 picture_g employment_g bio_g if match==1 & initiator==idr & min_star_r!= max_star_r, fe
*estimates store M7

gen s=e(sample)
codebook idr if s==1
*385

*using just observations in games that the user initiated a message
*test with xtreg
bys idr roomnum: egen b1 = max(s)

local y g_pref_r
local x star1_r star3_r  
local id idr

marksample touse
markout `touse' `y' `x' `id'

qui sum `y' if `touse'
local ymax = r(max)

tempvar esample
gen `esample' = 0

tempname BMAT

forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100 & b1==1, group(`id')
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}

suest `suest', vce(cluster idr)

tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')


matrix colnames `B' = `x'
matrix coleq `B' = :

matrix colnames `COV' = `x'
matrix coleq `COV' = :

matrix rownames `COV' = `x'
matrix roweq `COV' = :

qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display

tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1


******************************************************************************************************************************************************************
*Table A5

gen st = 1 if max_star_r!= min_star_r 

bys roomnum gender_r: egen strch = total(st)

local y g_pref_r
local x star1_r star3_r
local id idr

marksample touse
markout `touse' `y' `x' `id'

qui sum `y' if `touse'
local ymax = r(max)

tempvar esample
gen `esample' = 0

tempname BMAT

forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100 & strch==4, group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}

suest `suest', vce(cluster idr)

tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')


matrix colnames `B' = `x'
matrix coleq `B' = :

matrix colnames `COV' = `x'
matrix coleq `COV' = :

matrix rownames `COV' = `x'
matrix roweq `COV' = :

qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display


tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1


******************************************************************************************************************************************************************

*Table A6
sort roomnum gender_r
by roomnum gender_r: gen x1=1 if _n==1
by roomnum gender_r: egen a1 = total(star1_r)
by roomnum gender_r: egen a2 = total(star2_r)
by roomnum gender_r: egen a3 = total(star3_r)
sort idr roomnum idg 

sort roomnum gender_r
gen xx=1 if star_r!=.
by roomnum gender_r: egen star_total = total(xx)
drop xx

*the calculation only for people who experienced a star change and the number of observations (ijt)
xtreg g_pref_r star1_r star3_r if max_star_r!= min_star_r & n_r<100, fe vce(cluster idr)
generate sample = e(sample)
count if sample==1
*630,160

tab a2 if star_r==1 & sample==1 & star_total==16, missing
tab a2 if star_r==2 & sample==1 & star_total==16, missing
tab a2 if star_r==3 & sample==1 & star_total==16, missing

******************************************************************************************************************************************************************

*Table A7
*NA
******************************************************************************************************************************************************************

*Table A8 
br idr roomnum g_sendmsg_r if max_star_r!= min_star_r & n_r<100
by idr: gen mh = sum(g_sendmsg_r) 
by idr roomnum: egen mhh = max(mh)
by idr: gen msg_histroy_r = mhh[_n-4]
drop mh mhh
********************************************************************************
sort idg roomnum idr
br idg roomnum r_sendmsg_g
by idg: gen mh = sum(r_sendmsg_g)
by idg roomnum: egen mhh = max(mh)
by idg: gen msg_histroy_g = mhh[_n-4]
drop mh mhh
sort idr roomnum idg
********************************************************************************
sum msg_histroy_r if roomtype==1, detail
*median = 1
********************************************************************************

gen msg_avg_history_r = msg_histroy_r/nprev_r 
gen msg_avg_history_g = msg_histroy_g/nprev_g 
sum msg_avg_history_r if roomtype==1, detail
*median = .0159574
********************************************************************************
gen mah_g = 1 if msg_avg_history_g>0.016 & msg_avg_history_g!=.
replace mah_g = 0 if msg_avg_history_g<=0.016 & msg_avg_history_g!=.

gen int_mah1 = star1_r * mah_g
gen int_mah2 = star3_r * mah_g
********************************************************************************

local y g_pref_r
local x star1_r star3_r mah_g int_mah1 int_mah2 
local id idr
marksample touse
markout `touse' `y' `x' `id'
qui sum `y' if `touse'
local ymax = r(max)
tempvar esample
gen `esample' = 0
tempname BMAT
forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100, group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}
suest `suest', vce(cluster idr)
tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')
matrix colnames `B' = `x'
matrix coleq `B' = :
matrix colnames `COV' = `x'
matrix coleq `COV' = :
matrix rownames `COV' = `x'
matrix roweq `COV' = :
qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display
tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1


******************************************************************************************************************************************************************

*Table A9 
*model A8
gen att_giver=1 if standard_survey_g>-0.09 & standard_survey_g!=.
replace att_giver=0 if standard_survey_g<=-0.09 & standard_survey_g!=.
gen int3 = star1_r * att_giver
gen int4 = star3_r * att_giver

local y g_pref_r
local x star1_r star3_r att_giver int3 int4
local id idr
marksample touse
markout `touse' `y' `x' `id'
qui sum `y' if `touse'
local ymax = r(max)
tempvar esample
gen `esample' = 0
tempname BMAT
forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100, group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}
suest `suest', vce(cluster idr)
tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')
matrix colnames `B' = `x'
matrix coleq `B' = :
matrix colnames `COV' = `x'
matrix coleq `COV' = :
matrix rownames `COV' = `x'
matrix roweq `COV' = :
qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display
tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1

**********************************************************************************************************************************************************************
*Table A9 
*model A9

local y g_pref_r
local x star1_r star3_r att_giver int3 int4
local id idr
marksample touse
markout `touse' `y' `x' `id'
qui sum `y' if `touse'
local ymax = r(max)
tempvar esample
gen `esample' = 0
tempname BMAT
forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100 & standard_survey_r>-0.09 & standard_survey_r!=., group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}
suest `suest', vce(cluster idr)
tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')
matrix colnames `B' = `x'
matrix coleq `B' = :
matrix colnames `COV' = `x'
matrix coleq `COV' = :
matrix rownames `COV' = `x'
matrix roweq `COV' = :
qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display
tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1

**********************************************************************************************************************************************************************
*Table A9 
*model A10

local y g_pref_r
local x star1_r star3_r att_giver int3 int4
local id idr
marksample touse
markout `touse' `y' `x' `id'
qui sum `y' if `touse'
local ymax = r(max)
tempvar esample
gen `esample' = 0
tempname BMAT
forvalues i = 2(1) `ymax' {
	tempvar y`i'
	qui gen `y`i'' = `y' >= `i' if `touse'
	clogit `y`i'' `x' if `touse' & max_star_r!= min_star_r & n_r<100 & standard_survey_r<=-0.09 & standard_survey_r!=., group(`id') 
	replace `esample' = 1 if e(sample) 
	estimates store `y`i''
	local suest `suest' `y`i''
	capture matrix `BMAT' = `BMAT', e(b)
	if (_rc != 0) matrix `BMAT' = e(b)
}
suest `suest', vce(cluster idr)
tempname VMAT A B COV
local k : word count `x'
matrix `VMAT' = e(V)
matrix `A' = J((`ymax'-1),1,1)#I(`k')
matrix `B' = (invsym(`A''*invsym(`VMAT')*`A')*`A''*invsym(`VMAT')*`BMAT'')'
matrix `COV' = invsym(`A''*invsym(`VMAT')*`A')
matrix colnames `B' = `x'
matrix coleq `B' = :
matrix colnames `COV' = `x'
matrix coleq `COV' = :
matrix rownames `COV' = `x'
matrix roweq `COV' = :
qui count if `esample'
local obs = r(N)
ereturn post `B' `COV', depname(`y') obs(`obs') esample(`esample')
ereturn display
tempvar last
bysort `id':gen `last'= _n == _N if e(sample)
cou if `last'==1

******************************************************************************************************************************************************************



